#ifndef __SHADERENV_H
#define __SHADERENV_H

#define NUM_SAMPLES 8
//#define NUM_SAMPLES 16


// for linear falloff
//#define SAMPLE_INTENSITY 500.0f
//#define SAMPLE_INTENSITY 40.0f

// for quadratic falloff
#define SAMPLE_INTENSITY 0.32f
//#define SAMPLE_INTENSITY 0.85f
//#define SAMPLE_INTENSITY 5.0f

//#define AREA_SIZE 15e-1f
//#define AREA_SIZE 25e-1f
#define AREA_SIZE 8e-1f

#define VIEW_CORRECTION_SCALE 0.0f
//#define VIEW_CORRECTION_SCALE 0.1f

//#define DISTANCE_SCALE 1e-4f
#define DISTANCE_SCALE 1e-6f
//#define DISTANCE_SCALE 1e-8f

#define ILLUM_INTENSITY 5e-1f;
//#define ILLUM_INTENSITY 9e-1f;

#define SSAO_MIPMAP_LEVEL 1
#define GI_MIPMAP_LEVEL 2

#endif // __SHADERENV_H